/**
 * 全局注册自定义组件 待完善
 * @param app
 */
import { App } from 'vue';
import { PageWrapper, PageFooter } from '@/components/Page';
import NumberInput from '@/components/numberInput/index.vue';
import pagination from '@/components/pagination/index.vue';
import { BasicTable } from '@/components/Table';
import { BasicForm } from '@/components/Form/index';

export function setupCustomComponents(app: App) {
  app.component('PageWrapper', PageWrapper);
  app.component('pagination', pagination);
  app.component('NumberInput', NumberInput);
  app.component('PageFooter', PageFooter);
  app.component('BasicTable',BasicTable)
  app.component('BasicForm',BasicForm)
}
